microsoft-foundry.rest.security.o-auth2-auth
Datasets
Get dataset credentials
POST
/datasets/{name}/versions/{version}/credentials
Retrieves the SAS credential to access the storage account associated with a dataset version.
Abfrageparameter
api-version
string
Erforderlich
The API version to use for this operation.
Pfadparameter
name
string
Erforderlich
The name of the resource
version
string
Erforderlich
The specific version id of the DatasetVersion to operate on.
Antworten
The request has succeeded.
Text
Content-Type: application/json
blobReference
BlobReference
Erforderlich
Blob reference details.
blobUri
string
Erforderlich
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
Erforderlich
ARM ID of the storage account to use.
credential
SasCredential
Erforderlich
SAS Credential definition
sasUri
string
Erforderlich
SAS uri
type
enum
Erforderlich
Type of credential
SAS
Anfordern
POST /datasets/{name}/versions/{version}/credentials HTTP/1.1
Antwort
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json